org.eclipse.jgit.ignore

## Class IgnoreNode

- java.lang.Object
- - org.eclipse.jgit.ignore.IgnoreNode

    public class IgnoreNode
    extends Object

Represents a bundle of ignore rules inherited from a base directory. This class is not thread safe, it maintains state about the last match.

### Nested Class Summary

Nested Classes
`static class` `IgnoreNode.MatchResult` Result from `isIgnored(String, boolean)`.

### Constructor Summary

Constructors
Constructor and Description
`IgnoreNode()` Create an empty ignore node with no rules.
`IgnoreNode(List<IgnoreRule> rules)` Create an ignore node with given rules.

### Method Summary

Methods
`List<IgnoreRule>` `getRules()`
`IgnoreNode.MatchResult` `isIgnored(String entryPath, boolean isDirectory)` Determine if an entry path matches an ignore rule.
`void` `parse(InputStream in)` Parse files according to gitignore standards.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnoreNode

    public IgnoreNode()

Create an empty ignore node with no rules.

#### IgnoreNode

    public IgnoreNode(List<IgnoreRule> rules)

Create an ignore node with given rules.

Parameters:
  `rules` - list of rules.

### Method Detail

#### parse

    public void parse(InputStream in)
               throws IOException

Parse files according to gitignore standards.

Parameters:
  `in` - input stream holding the standard ignore format. The caller is responsible for closing the stream.
Throws:
  `IOException` - Error thrown when reading an ignore file.

#### getRules

    public List<IgnoreRule> getRules()

Returns:
  list of all ignore rules held by this node.

#### isIgnored

    public IgnoreNode.MatchResult isIgnored(String entryPath,
                                   boolean isDirectory)

Determine if an entry path matches an ignore rule.

Parameters:
  `entryPath` - the path to test. The path must be relative to this ignore node's own repository path, and in repository path format (uses '/' and not '\').
  `isDirectory` - true if the target item is a directory.
Returns:
  status of the path.